| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiPython.Persistency.PersistencyHelper Class Reference
Inheritance diagram for GaudiPython.Persistency.PersistencyHelper:
[legend]
Collaboration diagram for GaudiPython.Persistency.PersistencyHelper:
[legend]

## Public Member Functions
def | __init__ (self, types)
def | handle (self, typ)

## Public Attributes
| types

## Detailed Description

    Base class for extensions to persistency configuration in GaudiPython.

Definition at line 86 of file Persistency.py.

## Constructor & Destructor Documentation

def GaudiPython.Persistency.PersistencyHelper.__init__ | ( |  | self,
|  |  | types
| ) |  |

    Define the type of persistencies supported by the instance.

Definition at line 91 of file Persistency.py.

91 def __init__(self, types):
92 """
93 Define the type of persistencies supported by the instance.
94 """
95 self.types = set(types)
96
GaudiPython.Persistency.PersistencyHelper.__init__
def __init__(self, types)
Definition: Persistency.py:91
GaudiPython.Persistency.PersistencyHelper.types
types
Definition: Persistency.py:95

## Member Function Documentation

def GaudiPython.Persistency.PersistencyHelper.handle | ( |  | self,
|  |  | typ
| ) |  |

    Returns True if the current instance understands the requested
    persistency type.

Definition at line 97 of file Persistency.py.

97 def handle(self, typ):
98 """
99 Returns True if the current instance understands the requested
100 persistency type.
101 """
102 return typ in self.types
103
104
GaudiPython.Persistency.PersistencyHelper.handle
def handle(self, typ)
Definition: Persistency.py:97
GaudiPython.Persistency.PersistencyHelper.types
types
Definition: Persistency.py:95

## Member Data Documentation

GaudiPython.Persistency.PersistencyHelper.types

Definition at line 95 of file Persistency.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Persistency.py